Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Updatebeheer  (gelezen 996 keer)

Offline seghele

  • Lid
  • Steunpunt: Nee
Updatebeheer
« Gepost op: 2012/10/29, 09:48:46 »
Hello,
Heb Ubuntu 12.10.
Wegens ~$ sudo add-apt-repository ppa:rbose-debianizer/gimp
krijg ik na ~$ sudo apt-get update

W: Ophalen van http://ppa.launchpad.net/rbose-debianizer/gimp/ubuntu/dists/quantal/main/source/Sources is mislukt  404  Not Found

Hoe moet ik dat herstellen en/of verwijderen?

Offline koos4401

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #1 Gepost op: 2012/10/29, 10:28:56 »
Verwijderd door koos4401 wegens misstelling. Zie verderop.
Over toevoegen van extra repositories zijn de meningen verdeeld. Deze schijnt safe te zijn.
Gebruik de zoekfunctie van dit forum daarover.
« Laatst bewerkt op: 2012/10/29, 14:05:23 door koos4401 »
Op 27-okt-2009 om 08.20 GMT geregistreerd als gebruiker nr.: 498523

Offline joop905

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #2 Gepost op: 2012/10/29, 10:33:10 »
Dit soort foutmeldingen zie je wel vaker.
404  Not Found
Gewoon later nog eens proberen

Offline erik1984

  • Lid
    • erik1984
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #3 Gepost op: 2012/10/29, 10:42:41 »
Die 404-foutmelding komt omdat deze PPA niet beschikbaar is voor 12.10 kijk maar: http://ppa.launchpad.net/rbose-debianizer/gimp/ubuntu/dists/ geen Quantal.  Zou je voor GIMP ook helemaal niet nodig moeten hebben want 2.8 zit gewoon in de normale pakketbronnen van 12.10.

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #4 Gepost op: 2012/10/29, 10:57:15 »
Citaat
sudo add-apt-repository ppa:rbose-debianizer/gimp
is foute syntax; moet zijn:
sudo add-apt repository ppa:rbose-debianizer/gimpOver toevoegen van extra repositories zijn de meningen verdeeld. Deze schijnt safe te zijn.
Gebruik de zoekfunctie van dit forum daarover.

Nee, dat is totaal fout!!! Sorry hoor maar in een ander topic gaf je ook al die foute syntax. Dus bij deze nogmaals: sudo add-apt-repository moet aan elkaar en *niet* los van elkaar.

Verder heeft erik1984 gelijk.

Offline koos4401

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #5 Gepost op: 2012/10/29, 12:04:37 »
@Vistaus: Jij hebt gelijk en ik was dus mis.
Door deze in de war gebracht:http://forum.ubuntu-nl.org/hardware-en-drivers/canon-mp620-printer-installeren-draadloos-en-via-usb/msg840515/#msg840515 :-[ :-[ Ongeveer in het midden.
Op 27-okt-2009 om 08.20 GMT geregistreerd als gebruiker nr.: 498523

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #6 Gepost op: 2012/10/29, 13:06:08 »
Sorry, maar ik zie in de berichten geen oplossing voor mijn probleem.
 :'(
Via Updatebehher gebeurt er een dadelijke scanning naar updates en vervolgens krijg ik de boodschap
"Softwarebron - informatie : Downloaden is mislukt.

In Details staat de melding:
W:Failed to fetch http://ppa.launchpad.net/rbose-debianizer/gimp/ubuntu/dists/quantal/main/
source/Sources  404  Not Found
, W:Failed to fetch http://ppa.launchpad.net/rbose-debianizer/gimp/ubuntu/dists/quantal/main/
binary-i386/Packages  404  Not Found
, E:Some index files failed to download. They have been ignored, or old ones used instead.

Er staan maar één knop op om te "Sluiten".
Ik kan dus niet naar instellingen of zoiets...
Hoe geraak ik aan die bepaalde "ppa" om deze te verwijderen ???

Offline erik1984

  • Lid
    • erik1984
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #7 Gepost op: 2012/10/29, 13:38:19 »
Nogmaals: Je hebt zelf een PPA geinstalleerd blijkbaar (waarschijnlijk al voordat je hebt geupdate naar 12.10?) en die bestaat niet voor jouw huidige Ubuntuversie. Een manier om er vanaf te komen is het programma ppa-purge.

Dat kun je zo installeren:
sudo apt-get install ppa-purge

Vevolggens kun je dan als het goed is deze bewuste PPA weggooien:
sudo ppa-purge ppa:rbose-debianizer/gimp

GIMP kun je gewoon intalleren vanuit het softwarecentrum als je het wil hebben.

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #8 Gepost op: 2012/10/29, 13:56:48 »
Bedabkt,  ;) had verder zitten zoeken en dus ondertussen het volgende gedaan:
~$ sudo add-apt-repository --remove ppa:rbose-debianizer/gimp

Vervolgens Updatebeheer gestart met succes.
Nu krijg ik : De software op deze computer is bijgewerkt.
Er staan nu 2 knopjes: "Instellingen"  en  "OK".

Maar ... de knop "instellingen" geeft geen reactie!!
Wat nu?

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Updatebeheer
« Reactie #9 Gepost op: 2012/10/29, 13:57:49 »
Nogmaals: Je hebt zelf een PPA geinstalleerd blijkbaar (waarschijnlijk al voordat je hebt geupdate naar 12.10?) en die bestaat niet voor jouw huidige Ubuntuversie.
Hier zit ie wel in:

http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu/dists/

Te installeren met:
add-apt-repository ppa:otto-kesselgulasch/gimp

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #10 Gepost op: 2012/10/29, 14:08:04 »
Thanks, maar .... nog GEEN oplossing voor de  knop "instellingen". .

Heb ook reeds gedaan:  sudo apt-get update && sudo apt-get upgrade
 ???

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #11 Gepost op: 2012/10/29, 14:12:50 »
Nogmaals: Je hebt zelf een PPA geinstalleerd blijkbaar (waarschijnlijk al voordat je hebt geupdate naar 12.10?) en die bestaat niet voor jouw huidige Ubuntuversie.
Hier zit ie wel in:

http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu/dists/

Te installeren met:
add-apt-repository ppa:otto-kesselgulasch/gimp

sudo*

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #12 Gepost op: 2012/10/29, 14:36:21 »
Sorry, maar blijkbaar zit er een probleempje in de communicatie en vooral het lezen van mijn vraag.
Citaat
Te installeren met:
Code: [Selecteer]
add-apt-repository ppa:otto-kesselgulasch/gimp
Dit heb ik reeds met succes gedaan.

Nu volgt het resterende probleem:
Citaat
Nu krijg ik : De software op deze computer is bijgewerkt.
Er staan nu 2 knopjes: "Instellingen"  en  "OK".

Ik krijg met op de button "Instellingen" te klikken geen reactie.
DIT IS HET PROBLEEM en niet meer "gimp".
 :( :( :(

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #13 Gepost op: 2012/10/29, 17:52:16 »
In "Systeeminstellingen" blijkt "Softwarebron" ook niet meer te werken.
 :rolleyes:

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #14 Gepost op: 2012/10/29, 21:14:00 »
Voer in de terminal eens software-properties-gtk uit. Wat voor foutmeldingen zie je dan?

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #15 Gepost op: 2012/10/30, 09:48:15 »

:~$ software-properties-gtk
gpg: /tmp/tmpm64wwy/trustdb.gpg: trustdb created
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 162, in packages_for_modalias
    cache_map = packages_for_modalias.cache_maps[apt_cache_hash]
KeyError: -1064090968

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/software-properties-gtk", line 103, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 178, in __init__
    self.init_drivers()
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 1097, in init_drivers
    self.devices = detect.system_device_drivers()
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 415, in system_device_drivers
    for pkg, pkginfo in system_driver_packages(apt_cache).items():
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 319, in system_driver_packages
    for p in packages_for_modalias(apt_cache, alias):
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 164, in packages_for_modalias
    cache_map = _apt_cache_modalias_map(apt_cache)
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 129, in _apt_cache_modalias_map
    m = package.candidate.record['Modaliases']
  File "/usr/lib/python3/dist-packages/apt/package.py", line 429, in record
    return Record(self._records.record)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xeb in position 121: invalid continuation byte

Hopelijk kan dit helpen !

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Updatebeheer
« Reactie #16 Gepost op: 2012/10/30, 10:23:49 »
Zie https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1072074
Blijkbaar hebben meerderen dit probleem. Er staat helaas niet iets van een oplossing bij.

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #17 Gepost op: 2012/10/31, 10:10:44 »
Waar blijven de experten in Ubuntu ???
 =D

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Updatebeheer
« Reactie #18 Gepost op: 2012/10/31, 10:23:52 »
Waar blijven de experten in Ubuntu ???
 =D
Er lijkt nu (nog) geen oplossing te zijn. Het enige wat je zou kunnen doen is een schone installatie, want er wordt gesuggereerd dat het alleen via een opwaardering verkeerd loopt:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1062793/comments/4

Offline erik1984

  • Lid
    • erik1984
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #19 Gepost op: 2012/10/31, 10:56:24 »
Waar blijven de experten in Ubuntu ???
 =D

Je kunt beter dat foutrapport in de gaten houden, 'experten' zullen daar wel reageren als er een oplossing is. Nog beter als je zelf inlogt op Launchpad en aangeeft dat die bug ook jou treft.

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #20 Gepost op: 2012/10/31, 13:44:05 »
Handmatig /var/lib/dpkg/status aanpassen schijnt te helpen.
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1053749 (comment 19)

Je moet dat bestand openen in Gedit (of een andere teksteditor) en zoeken op een karakter dat de verkeerde codering heeft. Waarschijnlijk zit het probleem bij jou in 1 van de verschillende eid pakketten.
Begin dus eens te zoeken op ë, en vervang die door een gewone e.
Je kan dat bestand openen met de volgende opdracht:
gksudo gedit /var/lib/dpkg/status
Pas wel op, als je hele regels aan gaat passen of verwijderen help je je systeem om zeep. Verander dus echt alleen wat noodzakelijk is en laat de rest met rust.

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #21 Gepost op: 2012/10/31, 16:57:19 »
Johan van Dijk,
Dat is echte steun.  ;)
Hartelijk dank.

Inderdaad sudo leafpad /var/lib/dpkg/status gaf verschillende ë tekens.
Heb ze vervangen door e.
En ..... "Softwarebron" .... werkt opnieuw.
Het bizarre is dat het sluiten van vensters nu langzamer gaat.
 :-[

Offline RikRik

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #22 Gepost op: 2012/11/06, 21:48:25 »
Een beetje late reactie,
ik mag graag experimenteren met Ubuntu,  en met  versie 12.10 kwam ik  er ook achter dat 12.10 de vreemde eigenschap heeft, dat verkeerd ingevoerde PPA's niet meer te verwijderen zijn met Updatebeheer.
Maar er is een tool waar het heel gemakkelijk wel mee lukt:
Y PPA Manager werkt perfect
http://www.techlw.com/2012/08/install-y-ppa-manager-0090-in-ubuntu-or.html
Na het verwijderen van de verkeerde PPA werkt updatebeheer weer normaal
« Laatst bewerkt op: 2012/11/06, 21:50:04 door RikRik »

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Updatebeheer
« Reactie #23 Gepost op: 2012/11/07, 10:36:53 »
RikRik,
Meeste dank.
 :) ^-^ ;)